Package org.opentcs.access

# Enum Kernel.State

java.lang.Object
java.lang.Enum<Kernel.State>
org.opentcs.access.Kernel.State

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<Kernel.State>`, `java.lang.constant.Constable`

Enclosing interface:
  Kernel

    public static enum Kernel.State
    extends java.lang.Enum<Kernel.State>

The various states a kernel instance may be running in.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `MODELLING` | The state in which the model/topology is created and parameters are set.
  `OPERATING` | The normal mode of operation in which transport orders may be accepted and dispatched to vehicles.
  `SHUTDOWN` | A transitional state the kernel is in while shutting down.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static Kernel.State` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
  `static Kernel.State[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### MODELLING

    public static final Kernel.State MODELLING
    The state in which the model/topology is created and parameters are set.

  - ### OPERATING

    public static final Kernel.State OPERATING
    The normal mode of operation in which transport orders may be accepted and dispatched to vehicles.

  - ### SHUTDOWN

    public static final Kernel.State SHUTDOWN
    A transitional state the kernel is in while shutting down.

- ## Method Details

  - ### values

    public static Kernel.State[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static Kernel.State valueOf​(java.lang.String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
      `java.lang.NullPointerException` - if the argument is null